List destination object types
Request schema
Path parameters
ID of the destination
Query parameters
Designates which page of results to return. Always starts at 1. If 0 is specified, it defaults to 1.
Determines the number of results on each page. It can't exceed 100.
Organizes the results based on their creation time, either ascending or descending.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /api/v1/destinations/{destination_id}/object_types?page=SOME_NUMBER_VALUE&per_page=SOME_NUMBER_VALUE&order=SOME_STRING_VALUE HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Host: app.getcensus.com
Responses
200
The outcome of the request
An object to help you navigate the list of results.
Total records in the collection.
Records on each page.
The previous page number, or null for the first page.
The current page number.
The next page number, or null if it's the last page.
The number of the last page with records.
The list of results.
The type of destination object.
A list of attributes associated with this object type.
The key for this object attribute.
The label for this object attribute.
The type of data this object contains.
Whether or not this object attribute is required.
A hint for this object attribute.
Possible enumerated values for this attribute. May only appear if the attribute's type is a string
A list of fields attributes associated with this object type.
The key for this object attribute.
The label for this object attribute.
The type of data this object contains.
Whether or not this object attribute is required.
A hint for this object attribute.
Possible enumerated values for this attribute. May only appear if the attribute's type is a string
404
HTTP status code.
{ "status": "success", "pagination": { "total_records": 14, "per_page": 25, "prev_page": 1, "page": 2, "next_page": 3, "last_page": 10 }, "data": [ { "type": "Sheet", "object_attributes": [ { "key": "sheetName", "label": "Sheet Name", "type": "string", "required": true, "hint": "Either spreadsheetName or spreadsheetId is required.", "possible_values": [ "string" ] } ], "field_attributes": [ { "key": "sheetName", "label": "Sheet Name", "type": "string", "required": true, "hint": "Either spreadsheetName or spreadsheetId is required.", "possible_values": [ "string" ] } ] } ] }